# BEGIN SourceDeps(oneline):
BuildRequires: perl(DynaLoader.pm) perl(Exporter.pm) perl(ExtUtils/MakeMaker.pm) zziplib-devel
# END SourceDeps(oneline)
%define module_version 0.13
%define module_name Archive-ZZip
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.13
Release: alt8
Summary: Perl bindings for zziplib.
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/V/VS/VSPADER/%module_name-%module_version.tar.gz

%description
Provides bindings for zziplib, whose homepage is at http://zziplib.sourceforge.net/.


%prep
%setup -n Archive
# depth is > 1 .. moving up
pushd "ZZip"
  mv -f * ../
  mv -f .* ../ ||:
popd

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%perl_vendor_archlib/A*
%perl_vendor_autolib/*

%changelog
* Wed Nov 29 2023 Igor Vlasenko <viy@altlinux.org> 0.13-alt8
- rebuild with perl 5.38

* Wed Jun 16 2021 Igor Vlasenko <viy@altlinux.org> 0.13-alt7
- rebuild with perl 5.34.0

* Thu Feb 25 2021 Cronbuild Service <cronbuild@altlinux.org> 0.13-alt6
- rebuild to get rid of unmets

* Thu Oct 01 2020 Igor Vlasenko <viy@altlinux.ru> 0.13-alt5.1
- rebuild with perl 5.30

* Fri Feb 01 2019 Cronbuild Service <cronbuild@altlinux.org> 0.13-alt4.1
- rebuild with perl 5.28.1

* Mon Dec 18 2017 Igor Vlasenko <viy@altlinux.ru> 0.13-alt4
- rebuild with perl 5.26

* Sun Feb 12 2017 Cronbuild Service <cronbuild@altlinux.org> 0.13-alt3
- rebuild to get rid of unmets

* Fri Nov 27 2015 Igor Vlasenko <viy@altlinux.ru> 0.13-alt2.1
- rebuild with perl 5.22

* Sat Dec 13 2014 Cronbuild Service <cronbuild@altlinux.org> 0.13-alt2
- rebuild to get rid of unmets

* Tue Apr 15 2014 Igor Vlasenko <viy@altlinux.ru> 0.13-alt1
- initial import by package builder

